Page MenuHomePhabricator

Continue making application fixes to Phabricator for changes to %Q semantics
ClosedPublic

Authored by epriestley on Nov 7 2018, 12:59 PM.

Details

Summary

Depends on D19789. Ref T13217. Continue updating things to use the new %Q-flavored conversions instead of smushing a bunch of strings together.

Test Plan

Browsed around, far fewer errors. These changes are largely mechanical in nature.

Diff Detail

Repository
rP Phabricator
Branch
qobject9
Lint
Lint OK
Unit
Unit Tests OK
Build Status
Buildable 21106
Build 28690: Run Core Tests
Build 28689: arc lint + arc unit

Unit TestsFailed

TimeTest
1 msAphrontIsolatedDatabaseConnectionTestCase::Unknown Unit Message ("")
EXCEPTION (XsprintfUnknownConversionException): Unknown conversion LQ. #0 /core/data/drydock/workingcopy-91/repo/libphutil/src/xsprintf/qsprintf.php(282): qsprintf_check_scalar_type(Array, 'LQ', '%s INTO %s (%s)...') #1 /core/data/drydock/workingcopy-91/repo/libphutil/src/xsprintf/qsprintf.php(134): qsprintf_check_type(Array, 'LQ', '%s INTO %s (%s)...')
1 msAphrontMySQLDatabaseConnectionTestCase::Unknown Unit Message ("")
EXCEPTION (AphrontConnectionLostQueryException): #2006: Simulated error. This error may occur if your configured MySQL "wait_timeout" or "max_allowed_packet" values are too small. This may also indicate that something used the MySQL "KILL <process>" command to kill the connection running the query.
2 msConpherenceRoomTestCase::Unknown Unit Message ("")
EXCEPTION (XsprintfUnknownConversionException): Unknown conversion LQ. #0 /core/data/drydock/workingcopy-91/repo/libphutil/src/xsprintf/qsprintf.php(282): qsprintf_check_scalar_type(Array, 'LQ', 'SELECT %LQ') #1 /core/data/drydock/workingcopy-91/repo/libphutil/src/xsprintf/qsprintf.php(134): qsprintf_check_type(Array, 'LQ', 'SELECT %LQ')
1 msConpherenceRoomTestCase::Unknown Unit Message ("")
EXCEPTION (XsprintfUnknownConversionException): Unknown conversion LQ. #0 /core/data/drydock/workingcopy-91/repo/libphutil/src/xsprintf/qsprintf.php(282): qsprintf_check_scalar_type(Array, 'LQ', 'SELECT %LQ') #1 /core/data/drydock/workingcopy-91/repo/libphutil/src/xsprintf/qsprintf.php(134): qsprintf_check_type(Array, 'LQ', 'SELECT %LQ')
1 msConpherenceRoomTestCase::Unknown Unit Message ("")
EXCEPTION (XsprintfUnknownConversionException): Unknown conversion LQ. #0 /core/data/drydock/workingcopy-91/repo/libphutil/src/xsprintf/qsprintf.php(282): qsprintf_check_scalar_type(Array, 'LQ', 'SELECT %LQ') #1 /core/data/drydock/workingcopy-91/repo/libphutil/src/xsprintf/qsprintf.php(134): qsprintf_check_type(Array, 'LQ', 'SELECT %LQ')
View Full Test Results (125 Failed · 269 Passed)

Event Timeline

epriestley created this revision.Nov 7 2018, 12:59 PM
Harbormaster returned this revision to the author for changes because remote builds failed.Nov 7 2018, 1:01 PM
Harbormaster failed remote builds in B21106: Diff 47258!
epriestley requested review of this revision.Nov 13 2018, 4:54 PM
amckinley accepted this revision.Nov 15 2018, 3:19 AM
This revision is now accepted and ready to land.Nov 15 2018, 3:19 AM
This revision was automatically updated to reflect the committed changes.